## kweathercore 24.08.2

=== debian/changelog ===
kweathercore (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 08:55:57 +0000

kweathercore (24.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Ship the examples in libkweathercore-dev rather than in
    libkweathercore-data, as they are more for development:
    - use dh_installexamples to install them, rather than hardcoding the full
      installation path in the install file
    - add proper breaks/replaces, as libkweathercore-data shipped the examples
      in the path that belongs to libkweathercore-dev
  * Stop shipping README.md in libkweathercore-data (in the path that belongs
    to libkweathercore-dev), as it does not provide a lot of offline content.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 09:45:20 +0200

kweathercore (24.08.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Initial release to Debian (Closes: #1081171).

 -- Sandro Knauß <hefee@debian.org>  Mon, 09 Sep 2024 01:15:43 +0200

## kweathercore 25.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})

set(CMAKE_CXX_STANDARD 17)

include(FeatureSummary)

set(REQUIRED_QT_VERSION 6.5.0)
set(KF_DEP_VERSION "6.3.0")

find_package(ECM ${KF_DEP_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KWEATHERCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kweathercore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KWeatherCoreConfigVersion.cmake"
                        SOVERSION 6)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network Positioning Qml)
find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS I18n Holidays)


add_definitions(-DTRANSLATION_DOMAIN=\"kweathercore6\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.10.0
)

add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
add_subdirectory(src/qml)

option(BUILD_EXAMPLES "Build example applications" OFF)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KWeatherCore")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KWeatherCore_QCH
        FILE KWeatherCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KWeatherCoreQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KWeatherCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KWeatherCoreConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KWeatherCoreConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KWeatherCoreConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)

install(EXPORT KWeatherCoreTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KWeatherCoreTargets.cmake)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kweathercore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kweathercore 24.12.0

=== debian/changelog ===
kweathercore (24.12.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add upstream bugzilla metadata.

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:51:59 +0100

=== debian/control ===
Source: kweathercore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.5~),
               doxygen,
               extra-cmake-modules (>= 6.5.0~),
               libkf6holidays-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-positioning-dev (>= 6.5.0~),
               qt6-tools-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kweathercore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweathercore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweathercore.git
Rules-Requires-Root: no
Description: Library for retrieval of weather information
 Get weather forecast and alerts anywhere on the earth easy. It provides
 you a highly abstracted library for things related to weather.
 .
 You are able to get the weather by location or coordinate. It is also possible
 to get the alerts of a country.

Package: libkweathercore-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: arch independent data for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the arch independent data for KWatherCore.

Package: libkweathercore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkweathercore6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkweathercore-doc (= ${source:Version}),
Breaks: libkweathercore-data (<< 24.08.1~),
Replaces: libkweathercore-data (<< 24.08.1~),
Description: development files for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libkweathercore-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: development documentation for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the qch documentation files.

Package: libkweathercore6
Architecture: any
Multi-Arch: same
Depends: libkweathercore-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## kweathercore 24.12.1

=== debian/changelog ===
kweathercore (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:15:17 +0000

kweathercore (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:21:56 +0000

kweathercore (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:07 +0000

kweathercore (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:52:21 +0000

kweathercore (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:05 +0000

## kweathercore 24.12.3

=== debian/changelog ===
kweathercore (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:49:11 +0000

kweathercore (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:03:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kweathercore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>,
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.5~),
                doxygen,
                extra-cmake-modules (>= 6.5.0~),
-               libkf6holidays-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               libkf6holidays-dev (>= 5.240.0~),
+               libkf6i18n-dev (>= 5.240.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-positioning-dev (>= 6.5.0~),
                qt6-tools-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kweathercore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweathercore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweathercore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
 Rules-Requires-Root: no
 Description: Library for retrieval of weather information
  Get weather forecast and alerts anywhere on the earth easy. It provides
@@ -64,8 +64,6 @@
 Package: libkweathercore6
 Architecture: any
 Multi-Arch: same
-Depends: libkweathercore-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libkweathercore-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## kweathercore 25.04.2

=== debian/changelog ===
kweathercore (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Harden the CAP polygon parser against creative input.
    - Fix: Add virtual destructor for ReplyPrivate.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:00:38 +0200

kweathercore (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Don’t ship the QML module for trixie since it’s too late to
    introduce a new binary package at this stage.
  * Update symbols from build for 25.04.0.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 26 Apr 2025 01:01:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: kweathercore
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.5.0~),
-               libkf6holidays-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
+               libkf6holidays-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
                qt6-base-dev (>= 6.5.0~),
+               qt6-declarative-dev (>= 6.5.0~),
                qt6-positioning-dev (>= 6.5.0~),
                qt6-tools-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/kweathercore
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweathercore
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweathercore.git
 Rules-Requires-Root: no
 Description: Library for retrieval of weather information
  Get weather forecast and alerts anywhere on the earth easy. It provides
@@ -64,6 +65,8 @@
 Package: libkweathercore6
 Architecture: any
 Multi-Arch: same
-Depends: libkweathercore-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
+Depends: libkweathercore-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## kweathercore 25.04.3

=== debian/changelog ===
kweathercore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:53:53 +0100

kweathercore (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Ship the qml module package.
    - Do not run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 08:43:18 +0100

kweathercore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:20 +0100

kweathercore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:06 +0100

kweathercore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * New qml module package qml6-module-org-kde-weathercore.
  * Disable tests at build time.
  * Make -dev package depend on qml module.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:00:42 +0100

## kweathercore 25.07.80

=== debian/changelog ===
kweathercore (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:25 +0100

## kweathercore 25.07.90

=== debian/changelog ===
kweathercore (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:58:11 +0100

## kweathercore 25.08.0

=== debian/changelog ===
kweathercore (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:29:10 +0100

## kweathercore 25.08.1

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../src")
include_directories("${CMAKE_CURRENT_BINARY_DIR}/../src")

ecm_add_tests(
    capparsertest.cpp
    metnoparsertest.cpp
    hourlyweatherforecasttest.cpp
    dailyweatherforecasttest.cpp
    weatherforecasttest.cpp
    locationquerytest.cpp
    pendingweatherforecasttest.cpp
    LINK_LIBRARIES KWeatherCore Qt6::Test
)

ecm_add_tests(geotimezonetest.cpp LINK_LIBRARIES KWeatherCore Qt6::Test Qt6::Network)

=== debian/changelog ===
kweathercore (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:57:56 +0100

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+).tar.xz

## kweathercore 25.08.1+p24.04+vstable+git20250914.2020

=== debian/changelog ===
kweathercore (25.08.1+p24.04+vstable+git20250914.2020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:20:17 +0000

kweathercore (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:52:37 +0000

kweathercore (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:19:09 +0000

kweathercore (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:54:32 +0000

kweathercore (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:45:19 +0000

kweathercore (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:11:54 +0000

kweathercore (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:37:31 +0000

kweathercore (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:10:08 +0000

kweathercore (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:26:47 +0000

kweathercore (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:36:00 +0000

kweathercore (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:12:35 +0000

kweathercore (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:37:10 +0000

kweathercore (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:01:55 +0000

kweathercore (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:33:47 +0000

kweathercore (24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 05:02:23 +0000

kweathercore (0.7-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:05 +0000

## kweathercore 25.08.1+p24.04+vstable+git20251001.1107

=== debian/changelog ===
kweathercore (25.08.1+p24.04+vstable+git20251001.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:07:57 +0000

## kweathercore 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})
@@ -51,7 +51,7 @@
     ki18n_install(po)
 endif()
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.10.0
+    KF 6.12.0
 )
 
 add_definitions(-DQT_NO_FOREACH)

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(kweathercoreqmlplugin
    URI "org.kde.weathercore"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
)

target_sources(kweathercoreqmlplugin PRIVATE
    types.h
)

target_link_libraries(kweathercoreqmlplugin PRIVATE Qt::Qml KWeatherCore)

ecm_finalize_qml_module(kweathercoreqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kweathercore (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:55:05 +0100

## kweathercore 25.08.2+p24.04+vstable+git20251011.0841

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vstable+git20251011.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:41:19 +0000

kweathercore (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:25:58 +0000

## kweathercore 25.08.2+p24.04+vstable+git20251015.0843

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vstable+git20251015.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:43:57 +0000

=== debian/control ===
Source: kweathercore
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kwindowsystem-dev,
               libplasma-dev,
               qt6-base-dev,
               qt6-positioning-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kweathercore.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kweathercore
Maintainer: Neon CI <neon@kde.org>

Package: libkweathercore-dev
Section: libdevel
Architecture: any
Depends: libkweathercore6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf5kweathercore-dev, libkf6kweathercore-dev
Provides: libkf5kweathercore-dev, libkf6kweathercore-dev
Description: retrieval of weather information including forecasts and alerts
 Library to facilitate retrieval of weather information including
 forecasts and alerts.
 .
 This package contains the development files.

Package: libkweathercore6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5kweathercore5, libkf6kweathercore5
Provides: libkf5kweathercore5, libkf6kweathercore5
Description: retrieval of weather information including forecasts and alerts
 Library to facilitate retrieval of weather information including
 forecasts and alerts.

Package: libkf6kweathercore-dev
Architecture: all
Depends: libkweathercore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kweathercore5
Architecture: all
Depends: libkweathercore6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kweathercore-dev
Architecture: all
Depends: libkweathercore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kweathercore5
Architecture: all
Depends: libkweathercore6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kweathercore 25.08.2+p24.04+vstable+git20251021.0540

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vstable+git20251021.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:40:46 +0000

## kweathercore 25.08.2+p24.04+vstable+git20251031.0733

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vstable+git20251031.0733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:33:25 +0000

## kweathercore 25.08.2+p24.04+vunstable+git20251015.1006

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vunstable+git20251015.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:06:38 +0000

## kweathercore 25.08.2+p24.04+vunstable+git20251020.0236

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vunstable+git20251020.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:36:05 +0000

## kweathercore 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
set(kweathercore_LIB_SRCS
    locationquery.cpp
    locationquery.h
    locationqueryreply.cpp
    locationqueryreply.h
    locationqueryresult.cpp
    locationqueryresult.h
    weatherforecastsource.cpp
    weatherforecastsource.h
    weatherforecast.cpp
    weatherforecast.h
    hourlyweatherforecast.cpp
    hourlyweatherforecast.h
    dailyweatherforecast.cpp
    dailyweatherforecast.h
    geotimezone.cpp
    geotimezone.h
    kweathercore.cpp
    kweathercore_p.h
    metnoparser.cpp
    metnoparser_p.h
    pendingweatherforecast.cpp
    pendingweatherforecast.h
    pendingweatherforecast_p.h
    capalertinfo.cpp
    capalertinfo.h
    capalertmessage.cpp
    capalertmessage.h
    capparser.cpp
    capparser.h
    caparea.cpp
    caparea.h
    capnamedvalue.cpp
    capreference.cpp
    capreference.h
    reply.cpp
    reply.h
)


add_library(KWeatherCore ${kweathercore_LIB_SRCS})
generate_export_header(KWeatherCore BASE_NAME KWeatherCore EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kweathercore/kweathercore_export.h)
qt_extract_metatypes(KWeatherCore)
set(kweathercore_BUILD_INCLUDE_DIRS ${KWeatherCore_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KWeatherCore PUBLIC "$<BUILD_INTERFACE:${kweathercore_BUILD_INCLUDE_DIRS}>")
target_include_directories(KWeatherCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KWeatherCore>")

target_link_libraries(KWeatherCore
PUBLIC
    Qt6::Core
PRIVATE
    Qt6::Network
    Qt6::Positioning
    KF6::I18n
    KF6::I18nLocaleData
    KF6::Holidays
)

set_target_properties(KWeatherCore PROPERTIES VERSION ${KWEATHERCORE_VERSION}
                                   SOVERSION ${KWEATHERCORE_SOVERSION}
                                   EXPORT_NAME KWeatherCore
)

ecm_generate_headers(KWeatherCore_CamelCase_HEADERS
    HEADER_NAMES
    LocationQuery
    LocationQueryReply
    LocationQueryResult
    DailyWeatherForecast
    HourlyWeatherForecast
    PendingWeatherForecast
    WeatherForecast
    WeatherForecastSource
    GeoTimezone
    CAPAlertInfo
    CAPAlertMessage
    CAPParser
    CAPArea
    CAPNamedValue
    CAPReference
    Reply

    PREFIX KWeatherCore
    REQUIRED_HEADERS KWeatherCore_HEADERS
)
install(FILES ${KWeatherCore_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KWeatherCore/KWeatherCore COMPONENT Devel)

install(TARGETS KWeatherCore EXPORT KWeatherCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kweathercore/kweathercore_export.h
  ${KWeatherCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KWeatherCore/kweathercore COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KWeatherCore_QCH
        NAME KWeatherCore
        BASE_NAME KWeatherCore
        VERSION ${PROJECT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KWeatherCore_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${kweathercore_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KWEATHERCORE_EXPORT
            KWEATHERCORE_DEPRECATED
            KWEATHERCORE_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
        )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(
    BASE_NAME KWeatherCore
    LIB_NAME KWeatherCore
    DEPS "core"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KWeatherCore
)
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kweathercore (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:18:50 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kweathercore 25.08.3+p24.04+vunstable+git20251111.0341

=== debian/changelog ===
kweathercore (25.08.3+p24.04+vunstable+git20251111.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:41:38 +0000

kweathercore (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:58 +1000

## kweathercore 25.08.3+p24.04+vunstable+git20251125.0141

=== debian/changelog ===
kweathercore (25.08.3+p24.04+vunstable+git20251125.0141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 01:41:50 +0000

## kweathercore 25.11.80

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
     capnamedvalue.cpp
     capreference.cpp
     capreference.h
+    capresource.cpp
     reply.cpp
     reply.h
 )
@@ -78,6 +79,7 @@
     CAPArea
     CAPNamedValue
     CAPReference
+    CAPResource
     Reply
 
     PREFIX KWeatherCore

=== debian/changelog ===
kweathercore (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:56:15 +0000

=== debian/control ===
Source: kweathercore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.5.0~),
               libkf6holidays-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-positioning-dev (>= 6.5.0~),
               qt6-tools-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kweathercore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
Rules-Requires-Root: no
Description: Library for retrieval of weather information
 Get weather forecast and alerts anywhere on the earth easy. It provides
 you a highly abstracted library for things related to weather.
 .
 You are able to get the weather by location or coordinate. It is also possible
 to get the alerts of a country.

Package: libkweathercore-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: arch independent data for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the arch independent data for KWatherCore.

Package: libkweathercore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkweathercore6 (= ${binary:Version}),
         qml6-module-org-kde-weathercore (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkweathercore-doc (= ${source:Version}),
Breaks: libkweathercore-data (<< 24.08.1~),
Replaces: libkweathercore-data (<< 24.08.1~),
Description: development files for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libkweathercore-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: development documentation for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the qch documentation files.

Package: libkweathercore6
Architecture: any
Multi-Arch: same
Depends: libkweathercore-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: qml6-module-org-kde-weathercore
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the qml module.

## kweathercore 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 
 include(FeatureSummary)

=== debian/changelog ===
kweathercore (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:14:34 +0000

## kweathercore 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kweathercore (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:33:59 +0000

## kweathercore 25.12.0+p24.04+vunstable+git20260104.0321

=== debian/changelog ===
kweathercore (25.12.0+p24.04+vunstable+git20260104.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:21:17 +0000

kweathercore (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:41 +1000

## kweathercore 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kweathercore (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:15:24 +0000

## kweathercore 25.12.1+p24.04+vstable+git20260116.0312

=== debian/changelog ===
kweathercore (25.12.1+p24.04+vstable+git20260116.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:12:39 +0000

kweathercore (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:58 +1000

## kweathercore 25.12.1+p24.04+vstable+git20260131.0223

=== debian/changelog ===
kweathercore (25.12.1+p24.04+vstable+git20260131.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:23:31 +0000

## kweathercore 25.12.1+p24.04+vunstable+git20260106.1403

=== debian/changelog ===
kweathercore (25.12.1+p24.04+vunstable+git20260106.1403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:03:29 +0000

## kweathercore 25.12.1+p24.04+vunstable+git20260124.0042

=== debian/changelog ===
kweathercore (25.12.1+p24.04+vunstable+git20260124.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:42:08 +0000

## kweathercore 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kweathercore (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:30:14 +0000
